Name:          pyspinel
Version:       1.0.3
Release:       1%{?dist}
Summary:       Python CLI to configure and manage OpenThread NCPs
License:       ASL 2.0
URL:           https://github.com/openthread/pyspinel
Source0:       https://github.com/openthread/pyspinel/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Python CLI to configure and manage OpenThread NCPs.

%package -n python3-pyspinel
Summary:       Python CLI to configure and manage OpenThread NCPs

%description -n python3-pyspinel
The Spinel CLI exposes the OpenThread configuration and management
APIs running on an NCP build via a command line interface. Spinel
CLI is primarily targeted for driving the automated continuous
integration tests, and is suitable for manual experimentation with
controlling OpenThread NCP instances. 

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%files -n python3-pyspinel
%license LICENSE
%doc EXTCAP.md README.md
%{_bindir}/extcap_ot.bat
%{_bindir}/extcap_ot.py
%{_bindir}/sniffer.py
%{_bindir}/spinel-cli.py
%{python3_sitelib}/spinel/
%{python3_sitelib}/vendor/
%{python3_sitelib}/pyspinel-%{version}-py3.*.egg-info/

%changelog
* Tue Oct 18 2022 Peter Robinson <pbrobinson@fedoraproject.org> - 1.0.3-1
- Initial package
